[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[dak/master] byhand-di: fix version match



35b109fe6f42b6853809151e73be96909af7e3f7 made the script reject uploads using
YYYYMMDD as a closing ")" was at the wrong location.
---
 scripts/debian/byhand-di |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/debian/byhand-di b/scripts/debian/byhand-di
index 45b473b..3ba2f00 100755
--- a/scripts/debian/byhand-di
+++ b/scripts/debian/byhand-di
@@ -22,7 +22,7 @@ error() {
 # Check validity of version number
 # Expected are: YYYYMMDD, YYYYMMDD.x, YYYYMMDD<suite>x, YYYYMMDD+<suite>x,
 # YYYYMMDD+debXuZ and the +b[0-9] on the end
-if ! echo "$VERSION" | grep -Eq "^[0-9]{8}(|(\.|\+?[a-z]+|\+deb[0-9]+u))[0-9]+(\+b[0-9])?$"; then
+if ! echo "$VERSION" | grep -Eq "^[0-9]{8}((\.|\+?[a-z]+|\+deb[0-9]+u)[0-9]+)?(\+b[0-9])?$"; then
 	error "Invalid version: '$VERSION'"
 fi
 
-- 
1.7.10.4


Reply to: